8 Replies Latest reply on Jun 27, 2011 5:55 AM by rjp421

    Problem with flash player 10.3 & Flash Catalyst Compatible Project

    rjp421

      I have just installed flash player 10.3 debug ax and plugin, and replaced the original builder and catalyst  player files with 10.3 in both:

       

      C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.5\player\win\10.3

      C:\Program Files (x86)\Adobe\Adobe Flash Catalyst CS5.5\player\win\

       

      Everything works so far if i keep min flash player version at 10.2 in the project properties.

       

       

      I then copied the flashplayer_inc_playerglobal_051211.swc to both:

       

      C:\Program Files (x86)\Adobe\Adobe Flash Builder 4.5\sdks\4.5.0\frameworks\libs\player\10.3\playerglobal.swc

      C:\Program Files (x86)\Adobe\Adobe Flash Catalyst CS5.5\sdks\4.5.0\frameworks\libs\player\10.3\playerglobal.swc

       

       

      If I change the project properties to a minimum player version of 10.3, and add -swf-version=12 to the compiler args,

      I get a Flash Catalyst Incompatibility error:

       

      Configuration problem: The library path must include the following entry: ${PROJECT_FRAMEWORKS}/libs/player/10.2/playerglobal.swc

      MyApplication       Unknown    Flash Catalyst Project Incompatibility

       

       

      Any input is greatly appreciated.

       

       

      Thanks!

       

      Message was edited by: rjp421